std::_V2::error_category Class Referenceabstract
Diagnostics

`#include <system_error>`

## Public Member Functions

| error_category (const error_category &)=delete
virtual error_condition | default_error_condition (int __i) const noexcept
virtual bool | equivalent (const error_code &__code, int __i) const noexcept
virtual bool | equivalent (int __i, const error_condition &__cond) const noexcept
virtual string | message (int) const =0
virtual const char * | name () const noexcept=0
bool | operator!= (const error_category &__other) const noexcept
bool | operator< (const error_category &__other) const noexcept
error_category & | operator= (const error_category &)=delete
bool | operator== (const error_category &__other) const noexcept

## Detailed Description

Abstract base class for types defining a category of error codes.

An error category defines a context that give meaning to the integer stored in an `error_code` or `error_condition` object. For example, the standard `errno` constants such a `EINVAL` and `ENOMEM` are associated with the "generic" category and other OS-specific error numbers are associated with the "system" category, but a user-defined category might give different meanings to the same numerical values.

Since
  C++11

Definition at line 97 of file system_error.

## Member Function Documentation

## operator!=()

bool std::_V2::error_category::operator!= | ( | const error_category & | __other | ) | const

inline noexcept

Definition at line 153 of file system_error.

## operator<()

bool std::_V2::error_category::operator< | ( | const error_category & | __other | ) | const

inline noexcept

Definition at line 156 of file system_error.

## operator==()

bool std::_V2::error_category::operator== | ( | const error_category & | __other | ) | const

inline noexcept

Definition at line 144 of file system_error.

The documentation for this class was generated from the following file:

- system_error